<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.tzld.piaoquan.api.dao.mapper.contentplatform.ext.VideoMultiMapperExt">

    <insert id="insertVideoMultiTitleReturnId" useGeneratedKeys="true" keyProperty="id">
        insert into video_growth_multi_title (video_id, `source`, title, create_timestamp)
        values (#{record.videoId}, #{record.source}, #{record.title}, #{record.createTimestamp})
    </insert>

    <insert id="insertVideoMultiCoverReturnId" useGeneratedKeys="true" keyProperty="id">
        insert into video_growth_multi_cover (video_id, `source`, cover, create_timestamp)
        values (#{record.videoId}, #{record.source}, #{record.cover}, #{record.createTimestamp})
    </insert>

</mapper>